/****************************************************************************
 *  Familia Lignum - Genealogical program                                   *
 *  Copyright (C) 2011-2012 Rafał Długołęcki <rafal@dlugolecki.net.pl>      *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or modify    *
 *  it under the terms of the GNU General Public License as published by    *
 *  the Free Software Foundation; version 2 of the License.                 *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License along *
 *  with this program; if not, write to the Free Software Foundation, Inc., *
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.             *
 *                                                                          *
 ****************************************************************************/

#ifndef _APPLICATION_H
#define _APPLICATION_H

#include <gtkmm.h>
#include "window.h"
#include "file/file.h"

class Application : public Gtk::Application {
protected:
  Application();

public:
  static Glib::RefPtr<Application> create();
  void setup();
  static Glib::ustring get_datadir_path_to(Glib::ustring name);
protected:
  virtual void on_activate();
  virtual void on_open_file(file::File * file, const guint index);
  virtual void on_close_file(file::File * file, const guint index);
  bool on_draw_tree(const Cairo::RefPtr<Cairo::Context>& cr);
private:

  Glib::RefPtr<Gtk::Builder> m_refBuilder;
};

#endif // APPLICATION_H
