/****************************************************************************
 *  Familia Lignum - Genealogical program                                   *
 *  Copyright (C) 2011-2012 Rafał Długołęcki <rafal@dlugolecki.net.pl>      *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or modify    *
 *  it under the terms of the GNU General Public License as published by    *
 *  the Free Software Foundation; version 2 of the License.                 *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License along *
 *  with this program; if not, write to the Free Software Foundation, Inc., *
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.             *
 *                                                                          *
 ****************************************************************************/

#include <iostream>
#include <cstdlib>
#include <getopt.h>

#include "../config.h"

using std::cout;
using std::cerr;
using std::endl;

void parse_commandline(int argc, char * argv[]) {
  static struct option long_options[] =
    {
      //      {"batch",     no_argument,    0, 'b'}.
      {"help",      no_argument,    0, 'h'},
      {"version",   no_argument,    0, 'v'},
      {0, 0, 0, 0}
    };

  while(1) {
    /* getopt_long stores the option index here. */
    int option_index = 0;
     
    int c = getopt_long(argc, argv, "hv", long_options, &option_index);
     
    /* Detect the end of the options. */
    if (c == -1)
      break;

    switch (c) {
    case 'h': {
      cout << "Usage: " << PACKAGE_TARNAME << " [option]" << endl
	   << endl;
      cout << "--help, -h     display this help and exit\n\n";
      cout << "--version, -v  output version information and exit\n\n"
	   << endl;
      cout << "Report bugs to " << PACKAGE_BUGREPORT << "." << endl;
      cout << PACKAGE_NAME << " home page: <" << PACKAGE_URL << ">" << endl;
      cout << "If you like this program, please send me a postcard. :)" << endl;
      exit(0);
    }
     
    case 'v': {
      cout << PACKAGE_STRING << endl;
      cout << "Copyright (C) 2011-2012 " << "Rafał Długołęcki" << endl;
      cout << "License GPLv2: GNU GPL version 2 <http://www.gnu.org/licenses/gpl-2.0.html>" << endl;
      cout << "This is free software: you are free to change and redistribute it." << endl;
      cout << "There is NO WARRANTY, to the extent permitted by law." << endl;
      exit(0);
    }

    case '?': {
      /* getopt_long already printed an error message. */
      break;
    }
     
    default:
      abort();
    }
  }
}
