#ifndef _SINGLETON_H
#define _SINGLETON_H

#include <cassert>

template<class T>
class singleton {
 private:
  singleton(singleton const&);
  singleton& operator=(singleton const&);
  static T* _instance;
 protected:
  singleton();
  ~singleton();
 public:
  static T * instance() {
      if(!_instance) _instance = new T;
      assert(_instance !=NULL);
      return _instance;
  }
};

template <class T> T* singleton<T>::_instance=NULL;

#endif
